{% extends 'base.html' %}
{% block header %}
    <style>
        .skill-container {
            margin-top: 64px;
        }

        .m-card-item {
            padding: 20px 0;
            display: flex;
            justify-content: space-between;
        }

        .m-card-item:not(:last-child){
            border-bottom: 1px solid rgba(225, 227, 229, 1);
        }
    </style>
{% endblock header %}
{% block title %}تخصص‌ها{% endblock title %}
{% block body_title %}ثبت تخصص‌{% endblock body_title %}

{% block content %}
    <div class="ui middle aligned center aligned grid">
        <div class="column">
            <form class="ui form" method="post" enctype="multipart/form-data">
                {% csrf_token %}
                <div class="field">
                    <label>
                        تخصص مد نظر خود را انتخاب کنید
                    </label>
                    <select name="exp" class="ui fluid dropdown">
                        <option value="">-</option>
                        {% for e in exps %}
                            <option value="{{ e.id }}">{{ e.name }}</option>
                        {% endfor %}
                    </select>
                </div>
                <div class="field">
                    <label>گواهی‌نامه</label>
                    <input name="degree" type="file">
                </div>
                <button class="ui button m-primary-button" type="submit">ثبت</button>
            </form>
            <div class="skill-container">
                <div>
                    <span style="font-size: 24px;">
                        تخصص‌های ثبت شده
                    </span>
                </div>
                <div class="m-card" style="padding: 0 20px;">
                    {% for skill in current_skills %}
                        <div class="m-card-item">
                            <div>
                                {{ skill.expertise.name }}
                            </div>
                            <div>
                                {% if skill.degree.is_qualified %}
                                    <a class="ui green label">تایید شده</a>
                                {% else %}
                                    <a class="ui yellow label">تایید نشده</a>
                                {% endif %}
                            </div>
                        </div>
                    {% endfor %}
                </div>
            </div>
        </div>
    </div>
{% endblock content %}